aboutsummaryrefslogtreecommitdiff
path: root/share/hydra
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2018-05-27 12:46:41 -0300
committerSilvio Rhatto <rhatto@riseup.net>2018-05-27 12:46:41 -0300
commite32b5413c06c3c5d71f374a646e2c07c37b0ef09 (patch)
tree718e34e00b4334a467d4dfec3d7d7ff8059aa969 /share/hydra
parent7017d1dad0c88844d35ac8ff2b7735d6ea9e4f34 (diff)
downloadhydra-e32b5413c06c3c5d71f374a646e2c07c37b0ef09.tar.gz
hydra-e32b5413c06c3c5d71f374a646e2c07c37b0ef09.tar.bz2
Adds ansible and ansible-playbook actions
Diffstat (limited to 'share/hydra')
-rwxr-xr-xshare/hydra/ansible42
l---------share/hydra/ansible-playbook1
2 files changed, 43 insertions, 0 deletions
diff --git a/share/hydra/ansible b/share/hydra/ansible
new file mode 100755
index 0000000..ee46169
--- /dev/null
+++ b/share/hydra/ansible
@@ -0,0 +1,42 @@
+#!/bin/bash
+#
+# Ansible wrapper
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters
+BASENAME="`basename $0`"
+
+# Deploy using ansible own iterator
+if [ -d "$HYDRA_FOLDER/ansible" ]; then
+ if [ ! -e "$HYDRA_FOLDER/ansible/ansible.cfg" ]; then
+ echo "Missing ansible.cfg at ansible config."
+ exit 1
+ fi
+
+ if [ ! -e "$HYDRA_FOLDER/ansible/site.yml" ]; then
+ echo "Missing site.yml at ansible config."
+ exit 1
+ fi
+
+ (
+ cd $HYDRA_FOLDER/ansible
+ ANSIBLE_CONFIG=ansible.cfg $BASENAME -i inventories $*
+ )
+fi
diff --git a/share/hydra/ansible-playbook b/share/hydra/ansible-playbook
new file mode 120000
index 0000000..cabb1f5
--- /dev/null
+++ b/share/hydra/ansible-playbook
@@ -0,0 +1 @@
+ansible \ No newline at end of file